## org.w3c.dom.svg
Interface EventListenerInitializer

public interface EventListenerInitializer

This interface must be implemented in order to call Java code from an SVG document. A `EventListenerInitializer` instance is called when a 'script' element's 'type' attribute value is 'application/java-archive' and when the manifest of the jar file referenced by the 'xlink:href' attribute contains a 'SVG-Handler-Class' entry. The value of this entry must be the classname of the `EventListenerInitializer` to call. This classes implementing this interface must have a default constructor.

Method Summary
`void` `initializeEventListeners(SVGDocument doc)` This method is called by the SVG viewer when the scripts are loaded to register the listener needed.

Method Detail

### initializeEventListeners

    public void initializeEventListeners(SVGDocument doc)

  This method is called by the SVG viewer when the scripts are loaded to register the listener needed.

  Parameters:
    `doc` - The current document.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.